Package org.springframework.ui.context.support

# Class UiApplicationContextUtils

java.lang.Object
org.springframework.ui.context.support.UiApplicationContextUtils

@Deprecated(since="6.0") public abstract class UiApplicationContextUtils extends Object
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Utility class for UI application context implementations. Provides support for a special bean named "themeSource", of type `ThemeSource`.

Since:
  17.06.2003
Author:
  Jean-Pierre Pawlak, Juergen Hoeller

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`THEME_SOURCE_BEAN_NAME`
Deprecated.
Name of the ThemeSource bean in the factory.

## Constructor Summary

Constructors
Constructor
Description
`UiApplicationContextUtils()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static ThemeSource`
`initThemeSource(ApplicationContext context)`
Deprecated.
Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### THEME_SOURCE_BEAN_NAME

public static final String THEME_SOURCE_BEAN_NAME
Deprecated.
Name of the ThemeSource bean in the factory. If none is supplied, theme resolution is delegated to the parent.

See Also:
  - `ThemeSource`
  - Constant Field Values

## Constructor Details

### UiApplicationContextUtils

public UiApplicationContextUtils()
Deprecated.

## Method Details

### initThemeSource

public static ThemeSource initThemeSource(ApplicationContext context)
Deprecated.
Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource". If no such bean is found, a default (empty) ThemeSource will be used.

Parameters:
  `context` - current application context
Returns:
  the initialized theme source (will never be `null`)
See Also:
  - `THEME_SOURCE_BEAN_NAME`